package com.prolog.rdc.tms.config.enums;

import com.prolog.rdc.tms.constant.DataDictionaryConstant;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 导入标记类型枚举
 * @author hongbo.pan
 * @date 2023/3/17
 */
@AllArgsConstructor
@Getter
public enum ImportLabelTypeEnum {

    CARGO_OWNER("CARGO_OWNER"),
    ORDER_TYPE(DataDictionaryConstant.ORDER_TYPE),
    ORDER_BUSINESS_TYPE(DataDictionaryConstant.ORDER_BUSINESS_TYPE),
    DELIVERY_METHOD_TYPE(DataDictionaryConstant.DELIVERY_METHOD_TYPE),
    TRANSPORT_TYPE(DataDictionaryConstant.TRANSPORT_TYPE),
    TEMPERATURE_REQUIREMENT(DataDictionaryConstant.TEMPERATURE_REQUIREMENT),
    DEPARTMENT("DEPARTMENT"),
    SHIPPER_TYPE(DataDictionaryConstant.SHIPPER_TYPE),
    SHIPPER_UNIT("SHIPPER_UNIT"),
    SHIPPER("SHIPPER"),
    PICK_UP_SIGN_TIME(DataDictionaryConstant.PICK_UP_SIGN_TIME),
    CONSIGNEE_TYPE(DataDictionaryConstant.CONSIGNEE_TYPE),
    CONSIGNEE_UNIT("CONSIGNEE_UNIT"),
    CONSIGNEE("CONSIGNEE"),
    ITEM("ITEM"),
    WHETHER(DataDictionaryConstant.WHETHER),
    DELIVERY_SIGN_TIME(DataDictionaryConstant.DELIVERY_SIGN_TIME),
    SIGN_TIME_UNIT(DataDictionaryConstant.SIGN_TIME_UNIT),
    PACK_TYPE(DataDictionaryConstant.PACK_TYPE),
    CARGO_THERMOSPHERE(DataDictionaryConstant.CARGO_THERMOSPHERE),
    DATE("DATE"),
    DATETIME("DATETIME"),
    ;

    private String type;

}
